classification
Title: ast.parse doesn't respect feature_version for debug f-strings
Type: behavior Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: hauntsaninja, lys.nikolaou, pablogsal
Priority: normal Keywords: patch

Created on 2020-05-13 07:17 by hauntsaninja, last changed 2020-06-06 10:12 by lys.nikolaou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20196 merged hauntsaninja, 2020-05-18 22:38
PR 20464 merged pablogsal, 2020-05-27 20:31
PR 20466 merged hauntsaninja, 2020-05-27 20:42
Messages (4)
msg368763 - (view) Author: Shantanu (hauntsaninja) * Date: 2020-05-13 07:17
```
~master λ python3.8             
Python 3.8.2 (default, Apr 21 2020, 00:39:48) 
[Clang 11.0.0 (clang-1100.0.33.17)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import ast
>>> ast.parse('''f"{x=}"''')  # should work
<_ast.Module object at 0x10f81af40>
>>> ast.parse('''f"{x=}"''', feature_version=(3, 6))  # should fail, but doesn't
<_ast.Module object at 0x10f857d00>
```
msg370129 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-05-27 20:30
New changeset c116c94ff119485761460f1033cdee425bed0310 by Shantanu in branch 'master':
bpo-40614: Respect feature version for f-string debug expressions (GH-20196)
https://github.com/python/cpython/commit/c116c94ff119485761460f1033cdee425bed0310
msg370134 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-05-27 21:01
New changeset 9b83829e7d476acecc86d48978acc5813ec51e65 by Pablo Galindo in branch '3.9':
[3.9] bpo-40614: Respect feature version for f-string debug expressions (GH-20196) (GH-20464)
https://github.com/python/cpython/commit/9b83829e7d476acecc86d48978acc5813ec51e65
msg370816 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-06-06 10:09
New changeset f7ed4d4e83f5d9e85e244a1cbc460f26436ab24d by Shantanu in branch '3.8':
bpo-40614: Respect feature version for f-string debug expressions (GH-20196) (GH-20466)
https://github.com/python/cpython/commit/f7ed4d4e83f5d9e85e244a1cbc460f26436ab24d
History
Date User Action Args
2020-06-06 10:12:56lys.nikolaousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-06-06 10:09:05pablogsalsetmessages: + msg370816
2020-05-27 21:01:16pablogsalsetmessages: + msg370134
2020-05-27 20:42:01hauntsaninjasetpull_requests: + pull_request19718
2020-05-27 20:31:42pablogsalsetpull_requests: + pull_request19716
2020-05-27 20:30:44pablogsalsetnosy: + pablogsal
messages: + msg370129
2020-05-18 23:42:09lys.nikolaousetnosy: + lys.nikolaou
2020-05-18 22:38:09hauntsaninjasetkeywords: + patch
stage: patch review
pull_requests: + pull_request19496
2020-05-13 07:17:35hauntsaninjacreate